.TH HG MERGE  "" "" ""
.SH NAME
hg merge \- merge another revision into working directory
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg merge [\-P] [[\-r] REV]
.ft P
.fi
.SH DESCRIPTION
.sp
The current working directory is updated with all changes made in
the requested revision since the last common predecessor revision.
.sp
Files that changed between either parent are marked as changed for
the next commit and a commit must be performed before any further
updates to the repository are allowed. The next commit will have
two parents.
.sp
\fB\-\-tool\fP can be used to specify the merge tool used for file
merges. It overrides the HGMERGE environment variable and your
configuration files. See \%\fBhg help merge\-tools\fP\: for options.
.sp
If no revision is specified, the working directory\(aqs parent is a
head revision, and the current branch contains exactly one other
head, the other head is merged with by default. Otherwise, an
explicit revision with which to merge must be provided.
.sp
See \%\fBhg help resolve\fP\: for information on handling file conflicts.
.sp
To undo an uncommitted merge, use \%\fBhg merge \-\-abort\fP\: which
will check out a clean copy of the original merge parent, losing
all changes.
.sp
Returns 0 on success, 1 if there are unresolved files.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-f,  \-\-force
.
force a merge including outstanding changes (DEPRECATED)
.TP
.BI \-r,  \-\-rev \ <REV>
.
revision to merge
.TP
.B \-P,  \-\-preview
.
review revisions to merge (no merge is performed)
.TP
.B \-\-abort
.
abort the ongoing merge
.TP
.BI \-t,  \-\-tool \ <TOOL>
.
specify merge tool
.UNINDENT
.\" Generated by docutils manpage writer.
.\" 
.
